using System;
class Program
{
    static void Main()
    {
        Console.WriteLine("Unesite broj stalaktita: ");
        int brStalaktita=int.Parse(Console.ReadLine());
        Console.WriteLine("Unesite visinu osobe: ");
        int visinaOsobe=int.Parse(Console.ReadLine());
        Console.WriteLine("Unesite visine stalaktita: ");
        int trVisina;
        for(int i=1; i<=brStalaktita; i++)
        {
            Console.WriteLine($"Visina stalaktita {i}: ");
            trVisina=int.Parse(Console.ReadLine());
            if(trVisina<=visinaOsobe)
            {
                Console.WriteLine(i);
                return;
            }
        }
        Console.WriteLine("-1");
        Console.ReadKey();
    }
}